package holeg;

import holeg.power_flow.SolverSettings;

public class PowerFlowSettings {
    public SolverSettings solverSettings;
    public boolean onlyUpdateGridWhenChanged;
    public boolean waitForSolverJob;
    public boolean skipGridsWithNoProducers;
    public boolean replaceNodeWithSlackNode;
    public SlackNodePlacementStrategy slackNodePlacementStrategy;
    public double maxSlackPowerUntilInvalid;
    public double minVoltageUntilInvalid;

    public PowerFlowSettings() {
        solverSettings = new SolverSettings(); // use default
        onlyUpdateGridWhenChanged = true;
        waitForSolverJob = false;
        skipGridsWithNoProducers = true;
        replaceNodeWithSlackNode = true;
        slackNodePlacementStrategy = SlackNodePlacementStrategy.MinimizeSlack;
        maxSlackPowerUntilInvalid = Double.MAX_VALUE;
        minVoltageUntilInvalid = 0.3;
    }

    public static PowerFlowSettings getDefault() {
        return new PowerFlowSettings();
    }
}
